Bug 83794 - Request cramfs in default kernel
Request cramfs in default kernel
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-08 16:00 EST by Greg Hudson
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Hudson 2003-02-08 16:00:16 EST
Currently, Red Hat builds cramfs as a kernel module.  One of the main purposes
of cramfs is to be used for initrd images, which requires cramfs be built into
the kernel.  (This is how Debian does initrds.)

Red Hat does not use cramfs for the initrd (although I think it would make your
lives simpler if you did, and it would mitigate bug 76237), but sometimes
customers may want to build their own initrd images, perhaps without modifying
the kernel device state or mount table.

cramfs is really tiny, so this shouldn't appreciably impact the kernel image size.
Comment 1 Bugzilla owner 2004-09-30 11:40:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.